Update drift detection settings
PUT
/drift/settings
const url = 'https://example.com/api/v1/drift/settings';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"enabled":true,"intervalMinutes":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/drift/settings \ --header 'Content-Type: application/json' \ --data '{ "enabled": true, "intervalMinutes": 1 }'Enables/disables drift detection and sets the polling interval, then reschedules or cancels the recurring drift check job accordingly.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
enabled
boolean
intervalMinutes
integer
Examplegenerated
{ "enabled": true, "intervalMinutes": 1}Responses
Section titled “Responses”Updated drift settings
Media typeapplication/json
object
Examplegenerated
{ "enabled": true, "intervalMinutes": 1, "lastRunAt": "2026-04-15T12:00:00Z", "nextRunAt": "2026-04-15T12:00:00Z", "backoffUntil": "2026-04-15T12:00:00Z", "errorCount": 1}Invalid settings payload
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Failed to update drift settings
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}